#!/bin/bash
echo pod2man -c 'AmpliconNoise Documentation' "$0" ">" `basename "$0" .pod`.1
exec pod2man -c 'AmpliconNoise Documentation' "$0" > `basename "$0" .pod`.1

=head1 NAME

AmpliconNoise - remove noise from high throughput nucleotide sequence data

=head1 VERSION

This documentation refers to version 1.22

=head1 SYNOPSIS

See B</usr/share/doc/ampliconnoise/Doc.pdf.gz> for details of how to run.

=head1 DESCRIPTION

The following tools are included.  Most of them have an MPI equivalent, for example
SeqNoise has an equivalent SeqNoiseM which can be used with mpirun.

B<FastaUnique> - dereplicates fasta file
  -in     string            input file name
 Options:
 
B<FCluster>
  -in    string            distance input file name
  -out   string            output file stub
 Options:
  -r                       resolution
  -a                       average linkage
  -w                       use weights
  -i                       read identifiers
  -s                       scale dist.
 
B<NDist> - pairwise Needleman-Wunsch sequence distance matrix from a fasta file
  -in     string            fata file name
 Options:
  -i output identifiers
 
B<Perseus> - slays monsters
  -sin     string            seq file name
 Options:
  -tin     string            reference sequence file
  -a                         output alignments
  -d                         use imbalance
  -rin     string            lookup file name
 
B<PyroDist> - pairwise distance matrix from flowgrams
  -in     string            flow file name
  -out    stub              out file stub
 Options:
  -ni                       no index in dat file
  -rin    string            lookup file name
 
B<PyroNoise> - clusters flowgrams without alignments
  -din     string            flow file name
  -out     string            cluster input file name
  -lin     string            list file
 Options:
  -v       verbose
  -c       double            initial cut-off
  -ni                        no index in dat file
  -s       double            precision
  -rin     file              lookup file name
 
B<SeqDist> - pairwise distance matrix from a fasta file
  -in     string            fasta file name
 Options:
  -i output identifiers
  -rin    string            lookup file name
 
B<SeqNoise> - clusters sequences
  -in      string            sequence file name
  -din     string            distance matrix file name
  -out     string            cluster input file name
  -lin     string            list file
 Options:
  -min       mapping file
  -v       verbose
  -c       double            initial cut-off
  -s       double            precision
  -rin     string            lookup file name
 
B<SplitClusterEven>
  -din    string  dat filename
  -min    string  map filename
  -tin    string  tree filename
  -s      split size
  -m      min   size

=cut

# Here's the line to generate the descriptions above:
# dpkg -L ampliconnoise | grep ^/usr/bin/ | grep -v 'M$' | sort | bash | sed 's/Can.t find.*/\n/ ; s/^\(.\)/ \1/ ; s/^ -/  -/'

=head1 AUTHOR

All software by Chris Quince (quince@civil.gla.ac.uk)
This manpage by Tim Booth  (tbooth@ceh.ac.uk)

=head1 LICENCE AND COPYRIGHT

Copyright (c) 2009  (quince@civil.gla.ac.uk). All rights reserved.

Released under the Lesser GPL.

Permission is granted for anyone to copy, use, or modify these programs and documents 
for purposes of research or education, provided this copyright notice is retained, 
and note is made of any changes that have been made.

=cut

